Subject: [MIB-DOCTORS] RE: [IPFIX] IPFIX MIB design question

From: "Thomas Dietz" <[email-masked]>
Date: Fri, 2 Feb 2007 16:14:59 +0100

Hi,

Benoit, what do you think about using AUGMENTS...

Any other opinion?

If not I would tend to use the AUGMENTS statement.

Regards,

Thomas

-- 
Thomas Dietz                       E-mail: [email-masked]
Network Laboratories               Phone:  +49 6221 4342-128
NEC Europe Ltd.                    Fax:    +49 6221 4342-155
Kurfuersten-Anlage 36
69115 Heidelberg, Germany          http://www.netlab.nec.de

NEC Europe Limited
Registered Office: NEC House, 1 Victoria Road, London W3 6BL
Registered in England 2832014

> -----Original Message-----
> From: kobayashi atsushi [mailto:[email-masked]] 
> Sent: Friday, January 26, 2007 4:02 AM
> To: Benoit Claise
> Cc: [email-masked]; [email-masked]
> Subject: Re: [IPFIX] IPFIX MIB design question
> 
> 
> Benoit,
> 
> I think that using "AUGMENTS" is good proposal.
> 
> I have looked for similar MIB object.
> The relationship between mplsInSegmentTable and 
> mplsInSegmentPerfTable in
> RFC3813 serve as a good reference.
> The mplsInSegmentPerfTable contains statistical information 
> as follows.
> 
> mplsInSegmentPerfEntry  OBJECT-TYPE
>    SYNTAX        MplsInSegmentPerfEntry
>    MAX-ACCESS    not-accessible
>    STATUS        current
>    DESCRIPTION
>        "An entry in this table contains statistical
>         information about one incoming segment which is
>         configured in the mplsInSegmentTable. The counters
>         in this entry should behave in a manner similar to
>         that of the interface.
>         mplsInSegmentPerfDiscontinuityTime indicates the
>         time of the last discontinuity in all of these
>         objects."
>    AUGMENTS  { mplsInSegmentEntry }
>    ::= { mplsInSegmentPerfTable 1 }
> 
> MplsInSegmentPerfEntry ::= SEQUENCE {
>     mplsInSegmentPerfOctets             Counter32,
>     mplsInSegmentPerfPackets            Counter32,
>     mplsInSegmentPerfErrors             Counter32,
>     mplsInSegmentPerfDiscards           Counter32,
> 
>     -- high capacity counter
>     mplsInSegmentPerfHCOctets           Counter64,
> 
>     mplsInSegmentPerfDiscontinuityTime  TimeStamp
>    }
> 
> Best regards,
> Atsushi KOBAYASHI
> 
> On Thu, 25 Jan 2007 10:21:01 +0100
> Benoit Claise <[email-masked]> wrote:
> 
> > In this example, we see 2 tables (one for configuration, one for 
> > statistics) with the same indexes.
> > So, should we:
> > - combine the two tables into a single one?
> > - have two different tables as described?
> > - have two different tables with an AUGMENT? (when I see RFC 4181 
> > section 4.6.4 or RFC 2578 section 7.8.1, this solution seems more 
> > appropriate that the previous one)
> 
> --- 
> Atsushi KOBAYASHI  <[email-masked]>
> NTT Information Sharing Platform Lab.
> tel:+81-(0)422-59-3978 fax:+81-(0)422-59-5637
> 
> 
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipfix
> 
_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors

---

From: Benoit Claise <[email-masked]>
Date: Wed, 07 Feb 2007 22:57:43 +0100

Thomas,

Fine with me.

Regards, Benoit.